### Method

# Ide LspHoverProvider set_client

#### Declaration

    void
    ide_lsp_hover_provider_set_client (
      IdeLspHoverProvider* self,
      IdeLspClient* client
    )

#### Description

Sets the client to be used to query for hover information.

Available since: | 3.30

Sets property | `Ide.LspHoverProvider:client`

#### Parameters

`client` | `IdeLspClient`
| An `IdeLspClient`.
| The data is owned by the caller of the function.